Subject: Re: bug#16528: 24.3; too many keybindings in minibuffer-local-completion-map

From: "Roland Winkler" <[email-masked]>
Date: Thu, 23 Jan 2014 13:02:35 -0600

On Thu Jan 23 2014 Stefan Monnier wrote:
> Indeed, this binding can be annoying.  Some people use it heavily (and
> rarely use TAB, IIUC), tho, so removing it is a bit tricky, but it was
> annoying enough for files that file-name completion now uses a special
> map where SPC is not bound to minibuffer-complete-word any more.

So it seems to me there are two views on this:

- there might be situations where the user wants to customize the
  keybindings provided by minibuffer-local-completion-map
  (this customization would then probably affect all calls of
  completing-read)

- in other cases, the code calling completing-read might want to
  provide some non-default keybindings (which would then affect only
  certain calls of completing-read, but it would apply to all users)

I do not know how common each of these cases might be.  (I never use
SPC for completion, but that's just me.)

Roland